YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Interface IStackingAxis

Package | com.yahoo.astra.fl.charts.axes
Interface | public interface IStackingAxis extends IAxis, flash.events.IEventDispatcher
Implementors | NumericAxis, TimeAxis

A type of axis that allows values to be stacked.

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | chart : IChart The chart in which this axis appears. | IAxis
|  | dataProvider : Array Data used in determining the axis scale | IAxis
|  | height : Number Total height of axis | IAxis
|  | labelData : AxisLabelData Maximum dimensions of axis labels | IAxis
|  | labelFunction : Function A function may be set to determine the text value of the labels. | IAxis
|  | labelSpacing : Number The space, in pixels, between labels on an axis. | IAxis
|  | maxLabel : String Largest label value to appear on the axis. | IAxis
|  | maxLabelHeight : Number Gets or sets the maximum width of a label | IAxis
|  | maxLabelWidth : Number Gets or sets the maximum width of a label | IAxis
|  | position : String Position of axis in relation to the chart | IAxis
|  | renderer : IAxisRenderer The visual renderer associated with this axis. | IAxis
|  | reverse : Boolean Sets the direction of the labels and other visual objects along the axis. | IAxis
|  | stackingEnabled : Boolean If true, the axis will allow the stacking of series that implement the interface IStackedSeries. | IStackingAxis
|  | title : String The text that will appear next to the axis to indicate information about the data that it displays. | IAxis
|  | width : Number Total width of axis | IAxis

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | getMaxLabel():String Returns the maximum string length of a label on the axis. | IAxis
|  | stack(top:Object, ... rest):Object Calculates the sum of values if they were stacked on the axis. | IStackingAxis
|  | updateScale():void Determines the axis scale based on the input data set. | IAxis
|  | valueToLabel(value:Object):String Converts a value on the axis to formatted label text. | IAxis
|  | valueToLocal(value:Object):Number Calculates the position of a data point along the axis. | IAxis

Property detail

stackingEnabled | property

`stackingEnabled:Boolean` [read-write]

If true, the axis will allow the stacking of series that implement the interface IStackedSeries.

Must be explicitly enabled. Implementation
`public function get stackingEnabled():Boolean`
`public function set stackingEnabled(value:Boolean):void`

See also

com.yahoo.astra.fl.charts.series.IStackedSeries
Method detail

stack | () | method

`public function stack(top:Object, ... rest):Object`

Calculates the sum of values if they were stacked on the axis. The first value is important because some axis types, such as NumericAxis, may differentiate between positive and negative values.

Parameters

| `top:Object`
| `... rest`

Returns

| `Object`

See also

NumericAxis